/************************************************************************//**
 *
 * @file    c17_mcu_select.h
 *
 * @brief   This is Header file select include file.
 *
 * @par     Copyright:
 *          Copyright (C) SEIKO EPSON CORPORATION 2016-2016. All rights reserved.
 *
 * @warning -
 *
 * @par     History:
 *          - 01 Sep. 2016    1.00
 *              - First revision.
 *
 ***************************************************************************/
#ifndef C17_MCU_SELECT_H_
#define C17_MCU_SELECT_H_

// Please activate macro of used MCU.
//#define C17_MCUSEL_M30
//#define C17_MCUSEL_M31
//#define C17_MCUSEL_M32
#define C17_MCUSEL_M33
//#define C17_MCUSEL_M34


#ifdef C17_MCUSEL_M30
#include <c17m30_reg.h>
#define CLG_OSC3_ENABLE					///< OSC3 Enable.
#define CLG_EXOSC_ENABLE					///< EXOSC Enable.
#define CLG_OSC1_ENABLE					///< OSC1 Enable.
#define CLG_IOSC_ENABLE					///< IOSC Enable.
#endif

#ifdef C17_MCUSEL_M31
#include <c17m31_reg.h>
#define CLG_OSC3_ENABLE					///< OSC3 Enable.
#define CLG_EXOSC_ENABLE					///< EXOSC Enable.
#define CLG_OSC1_ENABLE					///< OSC1 Enable.
#define CLG_IOSC_ENABLE					///< IOSC Enable.
#endif

#ifdef C17_MCUSEL_M32
#include <c17m32_reg.h>
#define CLG_OSC3_ENABLE					///< OSC3 Enable.
#define CLG_EXOSC_ENABLE					///< EXOSC Enable.
#define CLG_OSC1_ENABLE					///< OSC1 Enable.
#define CLG_IOSC_ENABLE					///< IOSC Enable.
#endif

#ifdef C17_MCUSEL_M33
#include <c17m33_reg.h>
#define CLG_OSC3_ENABLE					///< OSC3 Enable.
#define CLG_EXOSC_ENABLE					///< EXOSC Enable.
#define CLG_OSC1_ENABLE					///< OSC1 Enable.
#define CLG_IOSC_ENABLE					///< IOSC Enable.
#endif

#ifdef C17_MCUSEL_M34
#include <c17m34_reg.h>
#define CLG_OSC3_ENABLE					///< OSC3 Enable.
#define CLG_EXOSC_ENABLE					///< EXOSC Enable.
#define CLG_OSC1_ENABLE					///< OSC1 Enable.
#define CLG_IOSC_ENABLE					///< IOSC Enable.
#endif


#endif /* C17_MCU_SELECT_H_ */

