/************************************************************************//**
 *
 * @file    mid_bat.h
 *
 * @brief   This is battery level monitoring interface header file.
 *
 * @par     Copyright:
 *          Copyright(C) SEIKO EPSON CORPORATION 2018. All rights reserved
 *
 * @warning -
 *
 * @par     History:
 *          - 16 Mar. 2018    1.00
 *              - First revision.
 *
 ***************************************************************************/
#ifndef MID_BAT_H_
#define MID_BAT_H_


/* --- external declaration --- */
extern void mid_initBat(void);
extern int mid_chkBatLowBattery(int isSending);

#endif /* MID_BAT_H_ */
