 /************************************************************************//**
 *
 * @file    mid_remrcv.h
 *
 * @brief   This is IR Remote code reception interface header file.
 *
 * @par     Copyright:
 *          Copyright (C) SEIKO EPSON CORPORATION 2018. All rights reserved.
 *
 * @warning -
 *
 * @par     History:
 *          - 16 Mar. 2018    1.00
 *              - First revision.
 *
 ***************************************************************************/
#ifndef MID_REMRCV_H_
#define MID_REMRCV_H_
#include "c17_remc3_1.h"

/* --- external declaration --- */
extern void mid_initRemRcv(void);
extern void mid_onRemRcv(void);
extern void mid_offRemRcv(void);
extern void mid_setRemRecvFormat(ST_REMC_PARAM *param);
extern int mid_recvRemRcvCode(unsigned char *pData, int MaxBitLength);

#endif /* MID_REMRCV_H_ */
