/************************************************************************//**
 *
 * @file    mid_host.h
 *
 * @brief   This is host interface header file.
 *
 * @par     Copyright:
 *          Copyright(C) SEIKO EPSON CORPORATION 2018. All rights reserved
 *
 * @warning -
 *
 * @par     History:
 *          - 16 Mar. 2018    1.00
 *              - First revision.
 *
 ***************************************************************************/
#ifndef MID_HOST_H_
#define MID_HOST_H_

/* --- external declaration --- */
void mid_initHost(void);
void mid_onHost(void);
void mid_offHost(void);
char* mid_recvHostString(void);
void mid_sendHostString(const char *pstr);
void mid_waitHostSendComplete(void);

#endif /* MID_HOST_H_ */
