/************************************************************************//**
 *
 * @file    mid_tmr.h
 *
 * @brief   This is 1ms timer counter interface header file.
 *
 * @par     Copyright:
 *          Copyright(C) SEIKO EPSON CORPORATION 2018. All rights reserved
 *
 * @warning -
 *
 * @par     History:
 *          - 16 Mar. 2018    1.00
 *              - First revision.
 *
 ***************************************************************************/

#ifndef MID_TMR_H_
#define MID_TMR_H_
#include "main_config.h"

/* --- external declaration --- */
extern void mid_initTmr(void);
extern void mid_startTmr(TMR_TIMER_ENUM index);
extern void mid_stopTmr(TMR_TIMER_ENUM  index);
extern unsigned short mid_getTmr(TMR_TIMER_ENUM index);

#endif /* MID_TMR_H_ */
